diff --git a/src/backend/access/rmgrdesc/heapdesc.c b/src/backend/access/rmgrdesc/heapdesc.c
index c8a6166..1425aac 100644
--- a/src/backend/access/rmgrdesc/heapdesc.c
+++ b/src/backend/access/rmgrdesc/heapdesc.c
@@ -96,6 +96,19 @@ heap_desc(StringInfo buf, uint8 xl_info, char *rec)
 						 ItemPointerGetBlockNumber(&(xlrec->newtid)),
 						 ItemPointerGetOffsetNumber(&(xlrec->newtid)),
 						 xlrec->new_xmax);
+		if (xlrec->flags & XLOG_HEAP_PREFIX_FROM_OLD ||
+			xlrec->flags & XLOG_HEAP_SUFFIX_FROM_OLD)
+		{
+			if (xlrec->flags & XLOG_HEAP_PREFIX_FROM_OLD &&
+				xlrec->flags & XLOG_HEAP_SUFFIX_FROM_OLD)
+				appendStringInfoString(buf, "; compressed tuple: prefix and suffix encoded");
+			else if(xlrec->flags & XLOG_HEAP_PREFIX_FROM_OLD)
+					appendStringInfoString(buf, "; compressed tuple: prefix encoded");
+			else
+				appendStringInfoString(buf, "; compressed tuple: suffix encoded");
+		}
+		else
+			appendStringInfoString(buf, "; uncompressed tuple");
 	}
 	else if (info == XLOG_HEAP_NEWPAGE)
 	{
